<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>AuditEventService.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Test App J Hipster</a> &gt; <a href="index.source.html" class="el_package">com.theo.myjhipster.service</a> &gt; <span class="el_source">AuditEventService.java</span></div><h1>AuditEventService.java</h1><pre class="source lang-java linenums">package com.theo.myjhipster.service;

import com.theo.myjhipster.config.audit.AuditEventConverter;
import com.theo.myjhipster.repository.PersistenceAuditEventRepository;
import org.springframework.boot.actuate.audit.AuditEvent;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.time.Instant;
import java.util.Optional;

/**
 * Service for managing audit events.
 * &lt;p&gt;
 * This is the default implementation to support SpringBoot Actuator AuditEventRepository
 */
@Service
@Transactional
public class AuditEventService {

    private final PersistenceAuditEventRepository persistenceAuditEventRepository;

    private final AuditEventConverter auditEventConverter;

    public AuditEventService(
        PersistenceAuditEventRepository persistenceAuditEventRepository,
<span class="fc" id="L29">        AuditEventConverter auditEventConverter) {</span>

<span class="fc" id="L31">        this.persistenceAuditEventRepository = persistenceAuditEventRepository;</span>
<span class="fc" id="L32">        this.auditEventConverter = auditEventConverter;</span>
<span class="fc" id="L33">    }</span>

    public Page&lt;AuditEvent&gt; findAll(Pageable pageable) {
<span class="fc" id="L36">        return persistenceAuditEventRepository.findAll(pageable)</span>
<span class="fc" id="L37">            .map(auditEventConverter::convertToAuditEvent);</span>
    }

    public Page&lt;AuditEvent&gt; findByDates(Instant fromDate, Instant toDate, Pageable pageable) {
<span class="fc" id="L41">        return persistenceAuditEventRepository.findAllByAuditEventDateBetween(fromDate, toDate, pageable)</span>
<span class="fc" id="L42">            .map(auditEventConverter::convertToAuditEvent);</span>
    }

    public Optional&lt;AuditEvent&gt; find(Long id) {
<span class="fc" id="L46">        return Optional.ofNullable(persistenceAuditEventRepository.findById(id))</span>
<span class="fc" id="L47">            .filter(Optional::isPresent)</span>
<span class="fc" id="L48">            .map(Optional::get)</span>
<span class="fc" id="L49">            .map(auditEventConverter::convertToAuditEvent);</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>